[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: zless and debian-*doc pakcaging



On Tue, Aug 01, 2000 at 10:04:36PM -0700, S. Champ wrote:
--snip--
> 
> 2) can we put 'zless' in either the default debian-distribution, or in the dhelp
> or doc-debian packages ?

This is already the case. 'dpkg -s gzip' shows:

----------
Package: gzip
Essential: yes
Status: install ok installed
Priority: required
Section: base
Installed-Size: 122
Maintainer: Bdale Garbee <bdale@gag.com>
Version: 1.2.4-33
Depends: debianutils (>= 1.6)
Pre-Depends: libc6 (>= 2.1)
Description: The GNU compression utility.
 This is the standard GNU file compression utility, which is also the default
 compression tool for Debian.  It typically operates on files with names
 ending in '.gz'.
 .
 This package can also decompress '.Z' files created with 'compress'.
----------


Note the 2nd line, `Essential: yes'.
This means that the package will be installed by default as part of the base
system, and dpkg will require quite a bit of convincing to remove it ...

Timshel

-- 
   Timshel Knoll <timshel@pobox.com>  for Debian email: <timshel@debian.org>
    Second year Computer Science, RMIT   |   CS108 Tutor (Semester 2, 2000)
        Debian GNU/Linux developer, see http://www.debian.org/~timshel/
   For GnuPG public key: finger timshel@ozemail.com.au or timshel@debian.org

Attachment: pgp4xliDFIy_w.pgp
Description: PGP signature


Reply to: